Bug 88612 - RHN requires repeated logins after downloading
RHN requires repeated logins after downloading
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Red Hat Satellite QA List
https://rhn.redhat.com/network/errata...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 09:22 EDT by Bill Greene
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-14 11:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Greene 2003-04-11 09:22:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After downloading a package, I hit the back button to download additional 
components (e.g., glibc-common and glibc, or the multiple packages for 
Samba).  I am asked to log in again.  After logging in, I am on the correct 
page.  This appears to only happen if I do a download -- if I just look at the 
page, then hit back, it works correctly.  I am using IE 6.0 on XP 
Professional.  Cookies, JavaScript, etc., are all on.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Link from RHN errata alert e-mail; log in and get details page.
2. Click on Packages link, then select a specific RPM.
3. On the RPM page, click the download link.  The package downloads.
4. Click the browser "Back" button.

Actual Results:  I am on the "Please Sign In" page.  The URL is correct.  Once 
I log in, I am on the correct page (i.e., the Packages page).

Expected Results:  I would be on the Packages page without having to sign in 
again.

Additional info:
Comment 1 Chip Turner 2003-04-14 11:18:30 EDT
this should now be fixed, can you test it again?
Comment 2 Bill Greene 2003-04-14 11:42:48 EDT
It's working now.  Thanks!
Comment 3 Josef Komenda 2003-04-14 11:58:13 EDT
Works, closing.

Note You need to log in before you can comment on or make changes to this bug.